LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

Hardware Drivers for LabVIEW Community Edition

Solved!
Go to solution

This topic was written on May 4, 2020.

 

Do you have a communication problem with your NI hardware on LabVIEW Community Edition?

Or are you looking for a hardware driver such as DAQmx, NI-RIO, myRIO which have a compatibility with LabVIEW Community Edition....?

 

 

At this moment (May 4, 2020), there is NO official driver which supports LabVIEW Community Edition.

If you would like to use your hardware with LabVIEW Community Edition, please wait the new driver released.

You can find the latest driver as following steps.

  1. Visit NI Driver Downloads - National Instruments 
  2. Search and find a driver
  3. Read "readme". There is a compatibility information.

    DAQmx.PNG

     



    RIO.PNG

     

Emboar
Certified LabVIEW Developer
There are only two ways to tell somebody thanks: Kudos and Marked Solutions

GCentral
Message 1 of 11
(1,836 Views)

Based on recent history, the drivers will be released with a 20.0 version number.  And do expect them to not be compatible with LabVIEW 2016.  NI pushed to get the Community Edition out early to help during the whole COVID-19 mess.  I assume the commercial versions of LabVIEW and drivers are still due to be released when NI Week was supposed to happen (May 18th).  At least I haven't heard anything to the contrary.


GCentral
There are only two ways to tell somebody thanks: Kudos and Marked Solutions
Unofficial Forum Rules and Guidelines
"Not that we are sufficient in ourselves to claim anything as coming from us, but our sufficiency is from God" - 2 Corinthians 3:5
Message 2 of 11
(1,810 Views)

Is your purpose to use NI hardware with LabVIEW Community Edition really for NON-COMMERICIAL USE?

 

 

Even for just a bit, using LabVIEW Community Edition for your job or research is not allowed.

LabVIEW Community Edition Usage Details - National Instruments 

Emboar
Certified LabVIEW Developer
There are only two ways to tell somebody thanks: Kudos and Marked Solutions

GCentral
0 Kudos
Message 3 of 11
(1,633 Views)

Hi Emboar,

 

there might be people using older USB6008/9 devices for some kind of home automation, needing DAQmx.

Even the more recent USB6000-3 are available for a reasonable price tag, all requiring DAQmx!

 

(I have an old iUSBDAQ floating around on my (private home) desk, here the problem is to get drivers at all…)

Best regards,
GerdW

using LV2011SP1 + LV2017 (+LV2020 sometimes) on Win10+cRIO
0 Kudos
Message 4 of 11
(1,625 Views)

Thanks GerdW,

Yes, I wondered there were such cases but just in case, I posted my concern.

(Actually, I have one old NI hardware too : D )

Emboar
Certified LabVIEW Developer
There are only two ways to tell somebody thanks: Kudos and Marked Solutions

GCentral
0 Kudos
Message 5 of 11
(1,618 Views)
Solution
Accepted by topic author Emboar_Dymax

NI-DAQmx Download - National Instruments

https://www.ni.com/en-us/support/downloads/drivers/download.ni-daqmx.html#346240

 

NI-DAQmx 20.0 Readme - National Instruments http://www.ni.com/pdf/manuals/374768af.html

 

Emboar
Certified LabVIEW Developer
There are only two ways to tell somebody thanks: Kudos and Marked Solutions

GCentral
Message 6 of 11
(1,533 Views)

And I am also seeing LabVIEW 2020 Professional available for download.  But I cannot say if the NI license servers have been updated.  It will probably be another month before my corporate license server gets updated.


GCentral
There are only two ways to tell somebody thanks: Kudos and Marked Solutions
Unofficial Forum Rules and Guidelines
"Not that we are sufficient in ourselves to claim anything as coming from us, but our sufficiency is from God" - 2 Corinthians 3:5
0 Kudos
Message 7 of 11
(1,518 Views)

I could activate some software with my serial number!

 

status.PNG

 

Emboar
Certified LabVIEW Developer
There are only two ways to tell somebody thanks: Kudos and Marked Solutions

GCentral
0 Kudos
Message 8 of 11
(1,484 Views)

LabVIEW 2020 CE - with DAQmx 20.0 installed. There is no "Open VISA Test Panel" option in MAX

when selecting a serial device.

 

On the right hand side (of MAX), under "Communicate with my device" it says to right-click for this option.

The only option available is Rename.

 

NI-VISA 20.0 shows up under the Software list.

Tried installing NI-Serial 20.0 - no change.

 

Is this feature not available in the Community Edition?

 

 

--------------------------------------------------------------------------------------------------------------------------
Help the forum when you get help. Click the "Solution?" icon on the reply that answers your
question. Give "Kudos" to replies that help.
--------------------------------------------------------------------------------------------------------------------------
0 Kudos
Message 9 of 11
(1,396 Views)

Hi, I tried using the DAQmx- 20.0 as well as 20.1 for my LabVIEW community edition. In both it gets struck in the below location and not completing the instillation. 

 

Can you please help me out.

 

 

0 Kudos
Message 10 of 11
(274 Views)